#!/usr/local/bin/wishx -f
#
# TkMidity -- Tcl/Tk Interface for TiMidity
#	written by Takashi IWAI
#
#  Version 1.3; Dec. 5, 1995
#


# system path and configuration file path
set TclRoot /usr/local/lib/timidity
set bitmap_path $TclRoot/BITMAPS
set ConfigFile "~/.tkmidity"

# append library path
lappend auto_path $TclRoot

#
# window fonts
#

option add *menu*font "-adobe-helvetica-bold-r-normal--12-*"
option add *body.curfile.font "-adobe-helvetica-bold-o-normal--17-*"
option add *body.file*font "-adobe-helvetica-medium-r-normal--14-*"
option add *body*label.font "-adobe-times-bold-i-normal--17-*"
option add *body*Scale.font "-adobe-times-medium-i-normal--14-*"
option add *body.text*font "-adobe-helvetica-medium-r-normal--14-*"

#
# main routine
#

InitGlobal
LoadConfig
InitCmdLine $argc $argv

CreateWindow
AppendMsg "TiMidity Tcl/Tk Version\n  written by Takashi Iwai\n"

init-random [pid]

if {$Stat(new_tcltk)} {
    fileevent stdin readable HandleInput
} else {
    addinput -read stdin HandleInput
}

if {$Config(AutoStart)} { PlayCmd }
tkwait window .

# end of file
